! Mdulo hora24.h 1.0 para Inform/InformatE 6/7E o 6/10E
! (C) 2001 Presi (Enrique D. Bosch) [kifcu@confluencia.net]
! Puede distribuirse libremente bajo licencia GNU LGPL
!
! es biplataforma Z/Glulx
!
! es un sencillo mdulo que permite convertir la hora en minutos desde
! la medianoche (que es como lo almacena Informate en la variable global
! "la_hora") a hora en formato de 24 horas del estilo 21:30
!
! para usarlo:
!
! include "hora24";
!
! objeto_hora24.horas(la_hora);
! devuelve la hora
! y objeto_hora24.minutos(la_hora);
! devuelve los minutos
!
! o para ajustar la variable "la_hora" en minutos a partir de una hora en
! formato 24h (ejemplo: 19:34):
! 
! la_hora=objeto_hora24.convertir(19,34);
!
! para imprimir una hora en formato 24h directamente:
!
! print (hora24) la_hora;
!
! si se quisiera imprimir la hora en formato am/pm:
!
! IdiomaHoraDelDia(objeto_hora24.horas(la_hora),objeto_hora24.minutos(la_hora)); 
!

message "Modulo hora24.h 1.0 [Presi]";

system_file;

#ifndef WORDSIZE;
constant WORDSIZE=2;
constant TARGET_ZCODE;
#endif;

constant HORA24_PRESENTE;


object objeto_hora24
  with
    horas
     [ min;
     
       return min/60;
     ],
    minutos
     [ min;

       return min%60;
     ],      
    convertir
     [ h m;
       return (h*60+m);
     ];

[ hora24 min m;

  m=objeto_hora24.minutos(min);
  print objeto_hora24.horas(min),":",m/10,m%10;
];
